harmony-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Egor Pasko <egor.pa...@gmail.com>
Subject Re: Building Harmony on Ubuntu 7.10
Date Sun, 06 Apr 2008 13:26:46 GMT
On the 0x416 day of Apache Harmony Egor Pasko wrote:
> On the 0x416 day of Apache Harmony Senaka Fernando wrote:
> > Hi again Egor,
> > 
> > The error message was "No supported regular expression matcher found:
> > java.lang.ClassNotFoundException:
> > org.apache.tools.ant.util.regexp.Jdk14RegexpRegexp"
> 
> reproduced, thanks!
> 
> AFAIR, to run unit tests you will also need to put junit.jar into ant
> lib directory, but I am not sure which version..
> 
> 
> Argh, Getting Started guide is even less usable than I thought. See
> how it is organized:
> 
>  2. Checking out the Federated Build Tree
>     svn co ...
> 
>     After you populate the source trees in the _next_step_,
>     working_classlib will be the checkout of the class library SVN
>     tree
> 
> HA-HA! the next step is "3. Starting the Federated Build" which suggests
> "ant -Dauto.fetch=true" that fails without means to surprise us.
> 
> I am going to add "ant populate-src" just before the "ant
> -Dauto.fetch=true" to solve this under-documentation..

Nadya fixed this with "ant -Dauto.fetch=true all", cool, thanks, me almost happy

> 
> > Regards,
> > Senaka
> > 
> > On Sat, Mar 29, 2008 at 11:21 PM, Senaka Fernando <senakafdo@gmail.com>
> > wrote:
> > 
> > >
> > >
> > > On 29 Mar 2008 20:40:49 +0300, Egor Pasko <egor.pasko@gmail.com> wrote:
> > >
> > > > On the 0x416 day of Apache Harmony Senaka Fernando wrote:
> > > > > Hi all,
> > > > >
> > > > > Thanks to the valuable discussions on this list I was able to
> > > > successfully
> > > > > build Harmony on Ubuntu 7.10 in less than a day. Below are some of
my
> > > > > experiences.
> > > > >
> > > > > 1. Requirement of ant-optional
> > > >
> > > > is this one really necessary? I do not have it installed and see no
> > > > problem on Ubuntu 6, did not try on 7-10 yet. What is the error
> > > > message?
> > >
> > >
> > > Yes, if not it lead to a build break. However, I had several other issues
> > > that caused build breaks too, at the point at which I added this package. I
> > > suspected that this is required because the error message changed after this
> > > package was added.
> > >
> > > I discovered that this package is required from [1].
> > >
> > > [1] http://markmail.org/message/cijagz7kkmqjfke4
> > >
> > >
> > >
> > >
> > > >
> > > >
> > > > > 2. Requirement of setting ANT_OPTS even on Ubuntu
> > > > > 3. Xerces distribution at given download target is faulty
> > > > > 4. Need to separately checkout log4cxx
> > > > > 5. Need to install package libxtst-dev
> > > >
> > > > updated it on the website, in prerequisites, expect the update to take
> > > > effect soon.
> > >
> > >
> > > That's quite nice.
> > >
> > > Regards,
> > > Senaka
> > >
> > >
> > > >
> > > >
> > > > everyone: I think, it is nice to put the link to DevConfiguration
> > > > howtos from the Getting Started For Contributors [1]. Or move the wiki
> > > > to separate page(s). What is better?
> > > >
> > > > > Also, some methods discussed on the list weren't required (ex:- soft
> > > > links
> > > > > for libXtst). In addition to that I noticed a number of warnings
when
> > > > > building C/C++ source.
> > > > >
> > > > > Thanks,
> > > > > Senaka
> > > >
> > > > [1] http://harmony.apache.org/quickhelp_contributors.html
> > > >
> > > > --
> > > > Egor Pasko
> > > >
> > > >
> > >
> 
> -- 
> Egor Pasko
> 
> 

-- 
Egor Pasko


Mime
View raw message